package org.academiadecodigo.bootcamp.fxlogin.persistence.dao.jpa;

import org.academiadecodigo.bootcamp.fxlogin.model.Bootcamp;
import org.academiadecodigo.bootcamp.fxlogin.persistence.dao.BootcampDao;

import java.util.List;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public class JpaBootcampDao extends JpaDao<Bootcamp> implements BootcampDao {
    public JpaBootcampDao() {
        super(Bootcamp.class);

    }

    @Override
    public List<Bootcamp> findByLocation(String location) {
        return super.findAll("location", location);

    }
}
